﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media;
using System.Windows;
using System.Windows.Data;

namespace SyncView {

    public class PriorityConverter : IValueConverter {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture) {
            if (value != null) {
                int priority = (int)value;
                BrushConverter colorConverter = new BrushConverter();
                switch (priority) {
                    case 0: return SystemColors.HighlightBrushKey;
                    case 1: return Brushes.Green;
                    case 2: return Brushes.Yellow;
                    case 3: return Brushes.Red;
                    default: break;
                }
            }

            return null;
        }

        public object ConvertBack(object value, Type targetType,
                                  object parameter, System.Globalization.CultureInfo culture) {
            throw new System.NotImplementedException();
        }

    } // class

} // namespace 
 